# Interface EmptyFailureDecoding

This type represents a decoding of empty return data from an unsuccessful call, a reversion with no message.

#### Category

Output

#### Hierarchy

- EmptyFailureDecoding

- Defined in codec/lib/types.ts:479

#####
Index

### Properties

decodingMode
interpretations
kind
status

## Properties

### decodingMode

decodingMode: DecodingMode

The decoding mode that was used; see the README for more on these.

- Defined in codec/lib/types.ts:492

### interpretations

interpretations: {}

Further information about how the decoding may be interpreted. Note that interpretations may be added by things that use @truffle/codec, such as @truffle/decoder, rather than by @truffle/codec itself. See individual interpretations for details. (Currently there are none for this type.)

#### Type declaration

- Defined in codec/lib/types.ts:499

### kind

kind: "failure"

The kind of decoding; indicates that this is an EmptyFailureDecoding.

- Defined in codec/lib/types.ts:483

### status

status: false

Indicates that this kind of decoding indicates an unsuccessful return.

- Defined in codec/lib/types.ts:487

Generated using TypeDoc